<?php
 session_start();
	 //error_reporting(E_ALL);
	error_reporting(E_ERROR);
	//set_time_limit(0);
	ini_set('memory_limit','500M');
	ini_set('max_execution_time', 0); 
	define('__ROOT__', dirname(dirname(__FILE__))); 
	//  require_once(__ROOT__.'\siga\html\ClsGeneradorHtml.class.php'); 
	// require_once(__ROOT__.'\siga\ClsCargarIngresos.class.php'); 
	// require_once(__ROOT__.'\siga\Connections\dbms.class.php');
	// require_once(__ROOT__.'\siga\Connections\dbmy.class.php');
	// require_once(__ROOT__.'\siga\clsObjetodeDatos.Class.php');
  
		require_once('Connections/dbms.class.php');
		require_once('Connections/dbmy.class.php');
		$db =new dbms('mysql','no');
		$sql ="Select * from siga_pregrado.nomina_detalle where cod_nomina = ".$_GET['nomina'];
		$db->EjecutarQuery($sql);	
		$datos = $db->DatosArray();
		if (!is_dir($dir)) {
			exec("mkdir nomina");
		}
		$nombre_txt="txtbecas".date("dmyhms").""; 		
		$ar=fopen("nomina/".$nombre_txt.".txt","w+");
		foreach ($datos as $valor){
			fputs($ar,'770');
			//fputs($ar,"\t");
			fputs($ar,str_pad($valor['cuenta'], 20, "0", STR_PAD_LEFT));
			//fputs($ar,"\t");
			fputs($ar,str_pad($valor['cedula'], 11, "0", STR_PAD_LEFT));
			//fputs($ar,"\t");
			fputs($ar,str_pad(($valor['monto'])."00", 13, "0", STR_PAD_LEFT));
			fputs($ar,"0000000000000");
			fputs($ar,"\r");
			//*break;
		}
		fclose($ar);
		echo "<a href=descargar_txt.php?archivo=".$nombre_txt.".txt><img src=imagenes/txt.gif>Abrir</a></td>";
		$directorio = opendir("nomina/"); //ruta actual
	
?> 
